<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.x-cart.com/license-agreement.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2015 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.x-cart.com/
 */

namespace XLite\Module\CDev\Wholesale\Model;

/**
 * Wholesale price model (product variant)
 *
 * @Entity (repositoryClass="\XLite\Module\CDev\Wholesale\Model\Repo\ProductVariantWholesalePrice")
 * @Table  (name="product_variant_wholesale_prices",
 *      indexes={
 *          @Index (name="range", columns={"product_variant_id", "membership_id", "quantityRangeBegin", "quantityRangeEnd"})
 *      }
 * )
 *
 * @LC_Dependencies("XC\ProductVariants")
 */
class ProductVariantWholesalePrice extends \XLite\Module\CDev\Wholesale\Model\Base\AWholesalePrice
{
    /**
     * Relation to a product variant entity
     *
     * @var \XLite\Module\XC\ProductVariants\Model\ProductVariant
     *
     * @ManyToOne  (targetEntity="XLite\Module\XC\ProductVariants\Model\ProductVariant")
     * @JoinColumn (name="product_variant_id", referencedColumnName="id", onDelete="CASCADE")
     */
    protected $productVariant;

    /**
     * Return owner
     *
     * @return \XLite\Module\XC\ProductVariants\Model\ProductVariant
     */
    public function getOwner()
    {
        return $this->getProductVariant();
    }

    /**
     * Set owner
     *
     * @param \XLite\Module\XC\ProductVariants\Model\ProductVariant $owner Owner
     *
     * @return void
     */
    public function setOwner($owner)
    {
        return $this->setProductVariant($owner);
    }
}
