<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.x-cart.com/license-agreement.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2015 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.x-cart.com/
 */

namespace XLite\Module\CDev\Wholesale\View\Model;

/**
 * Product view model
 */
class Product extends \XLite\View\Model\Product implements \XLite\Base\IDecorator
{
    /**
     * Preparing data for price param
     *
     * @param array $data Field description
     *
     * @return array 
     */
    protected function prepareFieldParamsPrice($data) {
        if ('product' == \XLite\Core\Request::getInstance()->target) {
            $data[self::SCHEMA_LINK_HREF] = $this->buildURL(
                'product',
                '',
                array(
                    'product_id'    => $this->getProductId(),
                    'page'          => 'wholesale_pricing',
                )
            );
            $data[self::SCHEMA_LINK_TEXT]   = 'Wholesale pricing';
            $data[self::SCHEMA_LINK_IMG]    = \XLite\Core\Layout::getInstance()->getResourceWebPath('modules/CDev/Wholesale/wp.svg');
        }
        return $data;
    }
}
