/* vim: set ts=2 sw=2 sts=2 et: */

/**
 * Clean URL
 *
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2015 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.x-cart.com/
 */

jQuery().ready(
  function() {
    var showResult = function (url) {
      var result = jQuery('.clean-url-result');
      var template = result.data('url-template');
      var savedValue = removeExtension(result.data('saved-value'));

      if (url === savedValue) {
        jQuery('.saved-url', result).show();
        jQuery('.url', result).hide();
      } else {
        jQuery('.saved-url', result).hide();
        jQuery('.url', result).show().html(template.replace('#PLACEHOLDER#', '<span class="editable">' + url + '</span>'));
      }
    };

    var toggleAutogenerate = function () {
      jQuery('#autogenerateFlag').prop('checked', '' === jQuery('#cleanurl').val());
    };

    var toggleInputField = function () {
      jQuery('#cleanurl').prop('disabled', jQuery('#autogenerateFlag').is(':checked'));
    };

    var toggleResultMessage = function () {
      var checked = jQuery('#autogenerateFlag').is(':checked');

      jQuery('.clean-url-result').toggle(!checked);
      jQuery('.clean-url-result-autogenerated').toggle(checked);
    };

    var removeExtension = function (url) {
      var extension = jQuery('#cleanurl').find('+ .input-group-addon').data('extension');

      return url.replace(new RegExp('\.' + extension + '$'), '');
    };

    var input = jQuery('#cleanurl');

    input.keyup(
      function () {
        showResult(jQuery(this).val());
        toggleAutogenerate();
      }
    );

    jQuery('#autogenerateFlag').change(
      function () {
        toggleInputField();
        toggleResultMessage();
      }
    );

    input.val(removeExtension(input.val()));

    toggleAutogenerate();
    toggleInputField();
    toggleResultMessage();

    showResult(input.val());

    jQuery('.additional-option .force.mark').removeClass('mark');
  }
);
