{* vim: set ts=2 sw=2 sts=2 et: *}

{**
 * Layout template (https://litmus.com/conference/pm-workshop)
 *
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2015 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.x-cart.com/
 *}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{getNotificationSubject()}</title>
  <style type="text/css">
    /* RESET STYLES */
    p{ margin:1em 0;}
    table{ border-collapse:collapse; /* table-layout:fixed; */ }
    img, a img{ border:0; height:auto; outline:none; text-decoration:none;}
    h1, h2, h3, h4, h5, h6{ display:block !important; margin:0 !important; padding:0 !important;}
    body, #bodyTable, #bodyCell{ height:100% !important; margin:0; padding:0; width:100% !important;}

    /* CLIENT-SPECIFIC STYLES */
    img{ -ms-interpolation-mode: bicubic;} /* Force IE to smoothly render resized images. */
    #outlook a{ padding:0;} /* Force Outlook 2007 and up to provide a "view in browser" message. */
    table{ mso-table-lspace:0pt; mso-table-rspace:0pt;} /* Remove spacing between tables in Outlook 2007 and up. */
    .ReadMsgBody{ width:100%;} .ExternalClass{ width:100%;} /* Force Outlook.com to display emails at full width. */
    p, a, li, td, blockquote{ mso-line-height-rule:exactly;} /* Force Outlook to render line heights as they're originally set. */
    a[href^="tel"], a[href^="sms"]{ color:inherit; cursor:default; text-decoration:none;} /* Force mobile devices to inherit declared link styles. */
    p, a, li, td, body, table, blockquote{ -ms-text-size-adjust:100%; -webkit-text-size-adjust:100%;} /* Prevent Windows- and Webkit-based mobile platforms from changing declared text sizes. */
    .ExternalClass, .ExternalClass p, .ExternalClass td, .ExternalClass div, .ExternalClass span, .ExternalClass font{ line-height:100%;} /* Force Outlook.com to display line heights normally. */

    /* STRUCTURAL STYLES */
    .emailContainer{ max-width:640px;}
    .flexibleColumn{ max-width:320px;}
    .flexibleGrid{ max-width:213px;}

    /* CONTENT STYLES */
    #heroImage{ width:100% !important;}

    /* MOBILE STYLES */
    @media only screen{ /* If media queries are supported, make all images fluid. */
      img{ width:100%;}
    }

    @media screen and (min-width:768px){ /* Set min-width for clients that have media query support, but no max-width support. */
      /* STRUCTURAL STYLES */
      .emailContainer{ width:640px !important;}
      #emailLogo{ max-width:200px;}
      #emailPreview{ max-width:440px;}
      .flexibleColumn{ width:50% !important;}
      .flexibleGrid{ width:33% !important;}
    }

    @media screen and (max-width:768px){
      /* STRUCTURAL STYLES */
      #emailPreview, #emailLogo{ max-width:100% !important; width:100% !important;}
      .flexibleColumn{ max-width:50% !important; width:100% !important;}
      .flexibleGrid{ max-width:33% !important;}

      /* CONTENT STYLES */
    }

    @media only screen and (max-width:480px){
      /* CLIENT-SPECIFIC STYLES */
      body{ width:100% !important; min-width:100% !important;} /* Force iOS Mail to render the email at full width. */

      /* STRUCTURAL STYLES */
      .flexibleColumn{ max-width:100% !important; width:100% !important;}
      .flexibleGrid{ max-width:50% !important;}

      /* CONTENT STYLES */
    }

    /* custom style */

    body {
      font-family: Helvetica, Arial, sans-serif;
    }

    #logoContent {
      text-align: left;
    }

    #logoContent img {
      width: auto;
    }

    @media screen and (max-width:768px){
      #logoContent {
        text-align: center;
        text-align: -webkit-center;
      }
    }

  </style>
</head>
<body>
<center>
  <table align="center" border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="bodyTable">
    <tr>
      <td align="center" valign="top" id="bodyCell">

        <table align="center" border="0" cellspacing="0" cellpadding="0" width="100%">
          <tr>
            <td align="center" valign="top" id="emailPreheader">
              <table align="center" border="0" cellpadding="0" cellspacing="0" width="100%" class="emailContainer">
                <tr>
                  <td align="center" valign="top">

                    {getNotificationHeader():h}

                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td align="center" valign="top" id="emailHeader">
              <table align="center" border="0" cellpadding="0" cellspacing="0" width="100%" class="emailContainer">
                <tr>
                  <td align="left" valign="top">

                    <h1 class="greeting"><widget template="common/greeting.tpl" /></h1>

                    <widget template="{dir}/body.tpl" />

                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td align="center" valign="top" id="emailFooter">
              <table align="center" border="0" cellpadding="0" cellspacing="0" width="100%" class="emailContainer">
                <tr>
                  <td align="center" valign="top">

                    <!--[if (gte mso 9)|(IE)]>
                    <table align="center" border="0" cellspacing="0" cellpadding="0" width="640">
                      <tr>
                        <td align="center" valign="top">
                    <![endif]-->
                    <table border="0" cellpadding="10" cellspacing="0" width="100%">
                      <tr>
                        <td align="left" valign="top" class="footerContent">

                          <widget template="common/signature.tpl" />

                        </td>
                      </tr>
                    </table>
                    <!--[if (gte mso 9)|(IE)]>
                    </td>
                    </tr>
                    </table>
                    <![endif]-->

                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>

      </td>
    </tr>
  </table>
</center>
</body>
</html>
